#!/bin/bash


CWD=`dirname $0`
PERMISSION="ssquid:root"
BASE_SRC="/usr/local/safesquid/"
UI_ROOT="${BASE_SRC}ui_root/"

API_PATH="${BASE_SRC}api"
APP_HDLR="${UI_ROOT}cgi-bin"
RPT_PATH="${UI_ROOT}report"
APP_LOGS="/var/log/safesquid/reporting.log"

API="api"
CGI="cgi-bin"
HTML="report"

BACKUP_EXISTING(){
	rm -rf ${BASE_SRC}api_bkp
	rm -rf ${UI_ROOT}report_bkp
	[ -d ${API_PATH} ] && mv ${API_PATH} ${BASE_SRC}api_bkp
	[ -d ${RPT_PATH} ] && mv ${RPT_PATH} ${UI_ROOT}report_bkp
}

MAKE_APPLICATION_LOG(){
	touch ${APP_LOGS}
	chown ${PERMISSION} ${APP_LOGS}
	chmod 755 ${APP_LOGS}
}

MAIN(){
	BACKUP_EXISTING
	
	cp -r ${API} ${BASE_SRC}

	cp -r ${CGI}/* ${APP_HDLR}
	chown -R ${PERMISSION} ${APP_HDLR}
	
	cp -r ${HTML} ${UI_ROOT}
	chown -R ${PERMISSION} ${RPT_PATH}
	
	MAKE_APPLICATION_LOG	
}

MAIN
